Loading...
Searching...
No Matches
IdealBase< poly_type > Class Template Reference

`#include <Ideal.h>`

## Public Types

typedef poly_type | value_type
typedef std::vector< poly_type >::size_type | size_type
typedef std::vector< poly_type >::iterator | iterator
typedef std::vector< poly_type >::difference_type | difference_type
typedef std::vector< poly_type >::allocator_type | allocator_type

## Public Member Functions

| IdealBase ()
| IdealBase (iterator first, iterator last, const typename std::vector< poly_type >::allocator_type &__a=allocator_type())
ring | getRing () const
poly_type & | operator[] (int n)
const poly_type & | operator[] (int n) const
void | push_back (const poly_type &p)
void | push_front (const poly_type &p)
iterator | begin ()
iterator | end ()
size_type | size () const
iterator | insert (iterator __position, const value_type &__x)
iterator | erase (iterator __position)
iterator | erase (iterator __first, iterator __last)
void | insert (iterator __pos, iterator __first, iterator __last)

## Protected Attributes

std::vector< poly_type > | storage

## Detailed Description

template<class poly_type>
class IdealBase< poly_type >

Definition at line 8 of file Ideal.h.

## Member Typedef Documentation

## allocator_type

template<class poly_type>

typedef std::vector<poly_type>::allocator_type IdealBase< poly_type >::allocator_type

Definition at line 17 of file Ideal.h.

## difference_type

template<class poly_type>

typedef std::vector<poly_type>::difference_type IdealBase< poly_type >::difference_type

Definition at line 16 of file Ideal.h.

## iterator

template<class poly_type>

typedef std::vector<poly_type>::iterator IdealBase< poly_type >::iterator

Definition at line 15 of file Ideal.h.

## size_type

template<class poly_type>

typedef std::vector<poly_type>::size_type IdealBase< poly_type >::size_type

Definition at line 14 of file Ideal.h.

## value_type

template<class poly_type>

typedef poly_type IdealBase< poly_type >::value_type

Definition at line 13 of file Ideal.h.

## Constructor & Destructor Documentation

## IdealBase() [1/2]

template<class poly_type>

IdealBase< poly_type >::IdealBase | ( |  | ) |

inline

Definition at line 18 of file Ideal.h.

{}

## IdealBase() [2/2]

template<class poly_type>

IdealBase< poly_type >::IdealBase | ( | iterator | first,
|  | iterator | last,
|  | const typename std::vector< poly_type >::allocator_type & | __a = allocator_type() )

inline

Definition at line 20 of file Ideal.h.

:
storage(first,last,__a)
{}
IdealBase
Definition Ideal.h:9
IdealBase::storage
std::vector< poly_type > storage
Definition Ideal.h:11

## Member Function Documentation

## begin()

template<class poly_type>

iterator IdealBase< poly_type >::begin | ( |  | ) |

inline

Definition at line 53 of file Ideal.h.

{
return storage.begin();
}

## end()

template<class poly_type>

iterator IdealBase< poly_type >::end | ( |  | ) |

inline

Definition at line 57 of file Ideal.h.

{
return storage.end();
}

## erase() [1/2]

template<class poly_type>

iterator IdealBase< poly_type >::erase | ( | iterator | __first,
|  | iterator | __last )

inline

Definition at line 76 of file Ideal.h.

{
return storage.erase(__first,__last);
}

## erase() [2/2]

template<class poly_type>

iterator IdealBase< poly_type >::erase | ( | iterator | __position | ) |

inline

Definition at line 71 of file Ideal.h.

{
return storage.erase(__position);
}

## getRing()

template<class poly_type>

ring IdealBase< poly_type >::getRing | ( |  | ) | const

inline

Definition at line 26 of file Ideal.h.

{
//FIXME: is a hack
if (size()>0)
{
return storage[0].getRing();
}
else
return (ring) NULL;
}
IdealBase::size
size_type size() const
Definition Ideal.h:61

## insert() [1/2]

template<class poly_type>

void IdealBase< poly_type >::insert | ( | iterator | __pos,
|  | iterator | __first,
|  | iterator | __last )

inline

Definition at line 80 of file Ideal.h.

{
return insert(__pos,__first,__last);
}
IdealBase::insert
iterator insert(iterator __position, const value_type &__x)
Definition Ideal.h:66

## insert() [2/2]

template<class poly_type>

iterator IdealBase< poly_type >::insert | ( | iterator | __position,
|  | const value_type & | __x )

inline

Definition at line 66 of file Ideal.h.

{
return storage.insert(__position,__x);
}

## operator[]() [1/2]

template<class poly_type>

poly_type & IdealBase< poly_type >::operator[] | ( | int | n | ) |

inline

Definition at line 36 of file Ideal.h.

{
return storage[n];
}

## operator[]() [2/2]

template<class poly_type>

const poly_type & IdealBase< poly_type >::operator[] | ( | int | n | ) | const

inline

Definition at line 40 of file Ideal.h.

{
return storage[n];
}

## push_back()

template<class poly_type>

void IdealBase< poly_type >::push_back | ( | const poly_type & | p | ) |

inline

Definition at line 44 of file Ideal.h.

{
storage.push_back(p);
}

## push_front()

template<class poly_type>

void IdealBase< poly_type >::push_front | ( | const poly_type & | p | ) |

inline

Definition at line 48 of file Ideal.h.

{
storage.push_front(p);
}

## size()

template<class poly_type>

size_type IdealBase< poly_type >::size | ( |  | ) | const

inline

Definition at line 61 of file Ideal.h.

{
return storage.size();
}

## Field Documentation

## storage

template<class poly_type>

std::vector<poly_type> IdealBase< poly_type >::storage

protected

Definition at line 11 of file Ideal.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Ideal.h